<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('marriages', function (Blueprint $table) {
            $table->id();
            $table->string('hyname', 50)->index()->comment('夫');
            $table->string('hyname1', 50)->index()->comment('妻');
            $table->dateTime('hytime')->nullable()->comment('结婚时间');
            $table->string('hygb', 50)->nullable()->comment('婚姻状态/广播');
            $table->string('hyjb', 50)->nullable()->comment('婚姻级别');
            $table->integer('i')->nullable()->comment('亲密度/属性');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('marriages');
    }
};
